import { Observable, of } from 'rxjs';
import { Note } from './../../core/models/note';
import { NO_ERRORS_SCHEMA } from '@angular/core';
import { async, ComponentFixture, TestBed } from '@angular/core/testing';
import { RouterTestingModule } from '@angular/router/testing';

import { SharedModule } from '@app/shared/shared.module';
import { CoreModule } from '@app/core/core.module';
import { DataService } from '@app/core/data.service';
import { HttpClient, HttpClientModule } from '@angular/common/http';

import { TermContainerComponent } from './term-container.component';
import { PlannedTerm } from '@app/core/models/planned-term';
import { SidenavService } from '@app/core/service/sidenav.service';

describe('TermContainerComponent', () => {
	let termComponent: TermContainerComponent;
	let fixture: ComponentFixture<TermContainerComponent>;

	beforeEach(async(() => {
		TestBed.configureTestingModule({
			imports: [RouterTestingModule, HttpClientModule, CoreModule, SharedModule],
			declarations: [TermContainerComponent],
			providers: [DataService, SidenavService],
			schemas: [NO_ERRORS_SCHEMA]
		})
		.compileComponents();
	}));

	beforeEach(() => {
		fixture = TestBed.createComponent(TermContainerComponent);
		termComponent = fixture.componentInstance;
		const term: PlannedTerm = {
			termCode: '1194',
			note: undefined,
			courses: []
		};
		termComponent.term = term;
		const notes: Note[] = [{
			id: 323,
			termCode: '1174',
			note: 'teset'
		}];

		fixture.detectChanges();
	});

	it('should create', () => {
		expect(termComponent).toBeTruthy();
	});
});
