import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';

import { FlexLayoutModule } from '@angular/flex-layout';
import { MatButtonModule } from '@angular/material/button';
import { MatMenuModule } from '@angular/material/menu';
import { MatIconModule } from '@angular/material/icon';
import { MatTabsModule } from '@angular/material/tabs';
import { MatCardModule } from '@angular/material/card';
import { MatSelectModule } from '@angular/material/select';
import { MatSidenavModule } from '@angular/material/sidenav';
import { MatExpansionModule } from '@angular/material/expansion';
import { MatToolbarModule } from '@angular/material/toolbar';
import { MatDialogModule } from '@angular/material/dialog';
import { MatInputModule } from '@angular/material/input';
import { MatTooltipModule } from '@angular/material/tooltip';

import { GetTermDescriptionPipe } from './pipes/get-term-description.pipe';
import { AcademicYearStatePipe } from './pipes/academic-year-state.pipe';
import { AcademicYearRangePipe } from './pipes/academic-year-range.pipe';
import { CourseDetailsComponent } from './components/course-details/course-details.component';
import { MatAutocompleteModule } from '@angular/material/autocomplete';
import { MatFormFieldModule } from '@angular/material/form-field';
import { CourseDetailsDialogComponent } from '../degree-planner/dialogs/course-details-dialog/course-details-dialog.component';

const modules = [
	CommonModule,
	FormsModule,
	ReactiveFormsModule,
	MatButtonModule,
	MatMenuModule,
	MatIconModule,
	MatTabsModule,
	MatExpansionModule,
	MatCardModule,
	MatSelectModule,
	FlexLayoutModule,
	MatSidenavModule,
	MatToolbarModule,
	MatDialogModule,
	MatInputModule,
	MatTooltipModule,
	MatAutocompleteModule,
	MatFormFieldModule
];
const pipes = [
	GetTermDescriptionPipe, AcademicYearStatePipe, AcademicYearRangePipe
];

@NgModule({
	imports: [ modules ],
	exports: [ modules, pipes, CourseDetailsComponent ],
	declarations: [ pipes, CourseDetailsComponent, CourseDetailsDialogComponent ]
})

export class SharedModule { }
